Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class SerializationCache.EntryAttributes

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.SerializationCache.EntryAttributes`

Enclosing class:
  SerializationCache

      protected class SerializationCache.EntryAttributes

extends Base

A class that holds on to the expiry time and touch order for an entry.

Constructor Summary
`SerializationCache.EntryAttributes(long ldtExpires, long nTouch, int cUnits)` Construct an attribute holder for an entry.

Method Summary
`long` | `getExpiryTime()` Determine the date/time at which the entry expires.
`long` | `getTouchCount()` Determine the absolute order of the entry within in the LRU list.
`int` | `getUnits()` Determine the number of units of storage used by the entry.

Constructor Detail

### SerializationCache.EntryAttributes

    public SerializationCache.EntryAttributes(long ldtExpires,
                                              long nTouch,
                                              int cUnits)

  Construct an attribute holder for an entry.
  Parameters:
    `ldtExpires` - the date/time at which the entry expires, or zero
    `nTouch` - the touch counter assigned to the entry
    `cUnits` - the number of storage units used by the entry

Method Detail

### getExpiryTime

    public long getExpiryTime()

  Determine the date/time at which the entry expires.
  Returns:
    the system time at which the corresponding entry expires, or zero if the entry never expires

### getTouchCount

    public long getTouchCount()

  Determine the absolute order of the entry within in the LRU list.
  Returns:
    the touch counter assigned to the corresponding entry

### getUnits

    public int getUnits()

  Determine the number of units of storage used by the entry.
  Returns:
    the storage units used by the entry

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.